program ChromuLan;

uses
  frstunit in 'frstunit.pas',
  Forms,
  Main in 'Main.pas' {MainForm},
  SpecForm in 'SpecForm.pas' {SpectrumForm},
  MargDial in 'MargDial.pas' {MarginsDialog},
  Plotu in 'Plotu.pas',
  Spectrum in 'Spectrum.pas',
  UlanType in 'UlanType.pas',
  DebugFrm in 'DebugFrm.pas' {DebugForm},
  DrawBuf in 'DrawBuf.pas',
  AboutFrm in 'AboutFrm.pas' {ULAboutBox},
  CommFrm in 'CommFrm.pas' {CommForm},
  UlanGlob in 'UlanGlob.pas',
  DevMode in 'DevMode.pas',
  DevSetFr in 'DevSetFr.pas' {DevSetupForm},
  ComInfo in 'ComInfo.pas' {CommInfoForm},
  FiltDlg in 'FiltDlg.pas' {FilterParsForm},
  TXUlan in 'TXUlan.pas',
  ExpImpu in 'ExpImpu.pas',
  MouseLin in 'MouseLin.pas',
  Axisu in 'Axisu.pas',
  PumpFrm in 'PumpFrm.pas' {PumpForm},
  ulau in 'ulau.pas',
  Report in 'Report.pas' {Form2},
  mathcopr in 'mathcopr.pas',
  InfoFrm in 'infofrm.pas' {ShowInfoForm},
  FileNewDlg in 'FileNewDlg.pas' {FileNewDialog},
  AnalSetupFrm in 'AnalSetupFrm.pas' {AnalSetupForm},
  ULDRu in 'uldru.pas',
  Channelsu in 'Channelsu.pas',
  AcqInfou in 'AcqInfou.pas',
  ULPrgu in 'ULPrgu.pas',
  AAFrm in 'AAFrm.pas' {AAForm},
  AAPrgu in 'AAPrgu.pas',
  Sequenceu in 'Sequenceu.pas',
  Timersu in 'Timersu.pas',
  Instrumentu in 'Instrumentu.pas',
  XGridFrm in 'XGridFrm.pas' {XGridForm},
  ULPrnFrm in 'ULObj\ULPrnFrm.pas' {ULPrnForm},
  ULObjPrn in 'ULObj\ULObjPrn.pas',
  SeqFrm in 'SeqFrm.pas' {SeqForm},
  SModulu in 'SModulu.pas',
  DebLogu in 'DebLogu.pas';

{$R *.RES}
{$R TXULAN.RES}
exports
  ULDREDIT,
  ULAEDIT
  {ULDRBROWSE
   ULDBROWSE};
begin
  Application.HelpFile := 'Chromulan.hlp';
  Application.Title := 'Chromulan';
  Application.CreateForm(TMainForm, MainForm);
  Application.CreateForm(TShowInfoForm, ShowInfoForm);
  if not MainForm.OneInstance.IsFirstInstance then
    exit;

  Application.CreateForm(TMarginsDialog, MarginsDialog);
  Application.CreateForm(TULAboutBox, ULAboutBox);
  Application.CreateForm(TDevSetupForm, DevSetupForm);
  Application.CreateForm(TCommInfoForm, CommInfoForm);
  Application.CreateForm(TFilterParsForm, FilterParsForm);
  {Application.CreateForm(TDebugForm, DebugForm);}
  Application.CreateForm(TForm2, Form2);
  {v0.10}{/v0.10
  if paramcount > 0 then begin
    CreateSpectrumForm(paramstr(1), omRead);
  end;}
  Application.Run;
end.
